/******************************************************************************/
/* collcoll - cichlid remote data collection and collation                    */
/* copyright (c) 2004 jamie twycross, jpt@cs.nott.ac.uk                       */
/* released under the gnu general public license v2                           */
/******************************************************************************/

#ifndef COLLCOLL_H
#define COLLCOLL_H

#include <netinet/in.h>
#include <pcap.h>

#define COLLECTOR_ERROR		"collector error"

/* collector commands */
#define CMD_CLOSE		0x00
#define CMD_SEND_DATA		0x01

typedef struct {
	char *hostname;
	unsigned short int port;

	int sd;
	struct sockaddr_in sa;
	struct hostent *he;
} Collector;

void init_collectors(Collector *);
void term_collectors(void);
void poll_collectors(void);
void init_server(unsigned short int);
void start_server(void);
void init_data(int);
void add_data(unsigned int, float);
inline void set_data_nolock(unsigned int, float);
inline float get_data_nolock(unsigned int);
void start_sniffer(pcap_handler, char *);

#endif
